For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Attachment object
          • GET/attachments
          • POST/attachments
          • GET/attachments/{id}
          • GET/attachments/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAttachments

/attachments

POST
/ats/v1/attachments
POST
/api/ats/v1/attachments
$curl -X POST https://api.merge.dev/api/ats/v1/attachments \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {},
> "remote_user_id": "string"
>}'
201Created
1{
2 "model": {
3 "id": "c640b80b-fac9-409f-aa19-1f9221aec445",
4 "remote_id": "11167",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "file_name": "Candidate Resume",
8 "file_url": "http://alturl.com/p749b",
9 "candidate": "2872ba14-4084-492b-be96-e5eee6fc33ef",
10 "attachment_type": "RESUME",
11 "remote_was_deleted": true,
12 "field_mappings": {
13 "organization_defined_targets": {
14 "custom_key": "custom_value"
15 },
16 "linked_account_defined_targets": {
17 "custom_key": "custom_value"
18 }
19 },
20 "remote_data": [
21 {
22 "path": "/attachments",
23 "data": null
24 }
25 ]
26 },
27 "warnings": [
28 {
29 "title": "Unrecognized Field",
30 "detail": "An unrecognized field, age, was passed in with request data.",
31 "problem_type": "UNRECOGNIZED_FIELD",
32 "source": {
33 "pointer": "/age"
34 },
35 "block_merge_link": true,
36 "raw_error": "string",
37 "error_code": 1
38 }
39 ],
40 "errors": [
41 {
42 "title": "Missing Required Field",
43 "detail": "custom_fields is a required field on model.",
44 "problem_type": "MISSING_REQUIRED_FIELD",
45 "source": {
46 "pointer": "/model/custom_fields"
47 },
48 "block_merge_link": true,
49 "raw_error": "string",
50 "error_code": 1
51 }
52 ],
53 "logs": [
54 {
55 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
56 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
57 "log_summary": {
58 "url": "www.exampleintegration.com/api/v1/exampleapi",
59 "method": "POST",
60 "status_code": 200
61 }
62 }
63 ]
64}

Creates an Attachment object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/attachments

Next

/attachments/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Attachment object is used to represent a file attached to a candidate.

Usage Example

Fetch from the LIST Attachments endpoint and view attachments accessible by a company.

remote_user_idstringRequired

Response

modelobject

Description

The Attachment object is used to represent a file attached to a candidate.

Usage Example

Fetch from the LIST Attachments endpoint and view attachments accessible by a company.

warningslist of objects
errorslist of objects
logslist of objects